using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Speed_Converter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void displayButton_Click(object sender, EventArgs e)
        {
            // Stałe. 
            const int START_SPEED = 60;
            const int END_SPEED = 130;
            const int INTERVAL = 10;
            const double CONVERSION_FACTOR = 0.6214;
            
            // Zmienne 
            int kph;        // Kilometry na godzinę. 
            double mph;     // Mile na godzinę.
            
            // Wyświetlenie tabeli szybkości. 
            for (kph = START_SPEED; kph <= END_SPEED; kph += INTERVAL)
            {
                // Obliczenie wartości wyażonej w milach na godzinę. 
                mph = kph * CONVERSION_FACTOR;
                
                // Wyświetlenie obliczonej wartości. 
                outputListBox.Items.Add(kph + " km/h to " +
                    mph + " mil na godzinę");
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
